Skip to main content
PUT
/
v1
/
goals
/
{id}
Update Goal
curl --request PUT \
  --url https://api.oviond.com/v1/goals/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "target_value": 123,
  "symbol": "<string>",
  "client_id": "<string>",
  "query": null
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
name
string
description
string | null
target_value
number
operator
enum<string>
Available options:
>=,
=,
<=
goal_type
enum<string>
Available options:
static,
change
symbol
string | null
client_id
string | null
query
unknown

Response

Goal updated

success
enum<boolean>
required
Available options:
true